/* Estilos Generales */
* {
   margin: 0;
   padding: 0;
   box-sizing: border-box;
   scroll-behavior: smooth;
}


#Boton_Inicio{
   position: sticky;
   width: 50px;
   height: 50px;
   top: 90%;
   left: 90%;
   transform: rotate(180deg);
   background-color: black;
   border-radius: 50%;
   transition: 300ms;
   z-index: 9999;
}



#Boton_Inicio a{
   position: absolute;
   text-decoration: none;
   color: white;
   padding: 20px;
   top: -10px;
   left: -5px;
}

#Boton_Inicio:hover{
transition: 300ms;
border-radius: 5px;
}

body {
   font-family: 'Roboto', sans-serif;
   margin: 0;
   padding: 0;
   min-width: 500px; 
}

.contenedor {
   padding: 60px 0;
   width: 90%;
   margin: auto;
   overflow: hidden;
}

.titulo-registro {
   color: #642a73;
   font-size: 30px;
   margin-bottom: 20px;
}

.titulo {
   color: #642a73;
   font-size: 30px;
   text-align: center;
   margin-bottom: 90px;
}

/* Header */
header {
   width: 100%;
   min-height: 600px; /* Cambiado */
   background: #dda6a6;
   background: -webkit-linear-gradient(to right, hsla(222, 12%, 69%, 0.384), hsla(337, 40%, 57%, 0.418)), url(../img/FondoPag.jpeg);
   background: linear-gradient(to right, hsla(335, 45%, 67%, 0.603), hsla(342, 75%, 65%, 0.842)), url(../img/FondoPag.jpeg);
   background-size: cover;
   background-attachment: fixed;
   position: relative;
}

nav {
   display: flex;
   text-align: center;
   width: 100%;
   color: white;
   padding: 10px;
}

nav > a {
   color: #ebe4e4;
   text-decoration: none;
   margin-right: 10px;
   padding: 10px 20px;
   font-size: 24px;
   font-weight: normal; 
   transition: background-color 0.3s, color 0.3s;
}

nav a:hover{
   text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.7);
}

.logo img {
   height: 190px;
   padding: 0px 50px 0px 20px;
}

header .textos-header {
   display: flex;
   min-height: 390px;
   width: 100%;
   align-items: center;
   justify-content: center;
   flex-direction: column;
   text-align: left;
}

.textos-header h1 {
   font-size: 50px;
   color: #fff;
}

.textos-header h2 {
   font-size: 40px;
   font-weight: 300;
   color: #fff;
   margin-top: 20px;
}

.wave {
   position: absolute;
   bottom: 0;
   width: 100%;
}

/* Sobre nosotros */
.main .contenedor-sobre-nosotros {
   padding: 0 0 60px 0;
}

.contenedor-sobre-nosotros {
   display: flex;
   justify-content: space-evenly;
   flex-direction: column;   
   align-items: center; 
}

.imagen-about-us {
   width: 40%;
}
.sobre-nosotros .contenido-textos {
   width: 90%;
   text-align: left; 
   
}

.contenido-textos h3 {
   margin-bottom: 5px;
}

.contenido-textos h3 span {
   background: #642a73;
   color: #fff;
   border-radius: 50%;
   display: inline-block;
   text-align: center;
   width: 30px;
   height: 30px;
   padding: 2px;
   box-shadow: 0 0 0 6px 0 rgb(0, 0, 0, .5);
   margin-right: 5px;
}

.contenido-textos p {
   padding: 0px 0px 30px 15px;
   font-weight: 500;
   text-align:justify;
}

/* Galería */
.portafolio {
   background: #f2f2f2;
   padding: 30px 0; /* Añadido */
}

.galeria-port {
   display: flex;
   justify-content: space-evenly;
   flex-wrap: wrap; 
}

.imagen-port {
   width: 25%; /* Cambiado */
   margin-bottom: 10px;
   overflow: hidden;
   position: relative;
   cursor: pointer;
   box-shadow: 0 0 6px 0 rgba rgb(0, 0, 0, .5); 
   padding: 0 10px;
}

.imagen-port > img {
   width: 100%;
   height: 100%;
   object-fit: cover;
   display: block;
}

.hover-galeria {
   position: absolute;
   width: 100%;
   height: 100%;
   top: 0;
   transform: scale(0);
   background: hsla(273, 39%, 65%, 0.7);
   transition: transform 1s;
   display: flex;
   justify-content: center;
   align-items: center;
   flex-direction: column;
}

.hover-galeria img {
   width: 50px;
}

.hover-galeria p {
   color: #fff;
}

.imagen-port:hover .hover-galeria {
   transform: scale(1);
}

/* Cards de clientes */
.cards {
   display: flex;
   justify-content: space-evenly;
}

.cards .card {
   background: #7540a0;
   display: flex;
   width: 46%;
   height: 200px;
   align-items: center;
   justify-content: space-evenly;
   border-radius: 5px;
   box-shadow: 0 0 6px 0 rgb(0, 0, 0, 0.6);
}

.cards .card img {
   width: 100px;
   height: 100px;
   object-fit: cover;
   border: 3px solid #fff;
   border-radius: 50%;
   display: block;
}

.cards .card > .contenido-texto-card {
   width: 60%;
   color: #fff;
}

.cards .card > .contenido-texto-card p {
   font-weight: 300;
   padding-top: 5px;
}

/* Servicios */
.about-services {
   background: #f2f2f2;
   padding-bottom: 30px;
}

.servicio-cont {
   display: flex;
   justify-content: space-between;
   align-items: center;
   flex-direction: row; 
}

.servicio-ind {
   width: 28%; 
   height: 650px;
   text-align: center;
   
}

.servicio-ind img {
   width: 300px;
   height: 300px;
}

.servicio-ind h3 {
   margin: 10px 0;
}

.servicio-ind p {
   font-weight: 300;
   text-align: justify;
}

.imgService{
   height: 500px;
   box-shadow: 0px 0px 10px rgba(27, 26, 26, 0.2); /* Añade la sombra */
}

/* Footer */
.footer {
   background: #dda6a6;
   padding: 10px 0;
   overflow: hidden;
   height: 120px;
   border: none;
}

.contenedor-footer {
   display: flex;
   flex-wrap: wrap;
   justify-content: center;
   margin: auto;
   padding-bottom: 5px;
   border-bottom: 1px solid #e6d5d7;
}

.content-foo {
   text-align: center;
   margin-right: 30px;
}

.content-foo:last-child {
   margin-right: 0;
}

.content-foo p {
   color: #1d0e0e;
}

.content-foo img{
   width: 42px;
   height: 42px;
   margin-top: 10px;
}

.mensaje-reservado {
   text-align: center;
   color: #1d0e0e;
   width: 100%;
   margin-top: 15px;
   font-weight: bold;
   font-size: 18px;
}

/* Media Queries */
@media (max-width: 768px) {
   .contenedor-sobre-nosotros .servicio-cont {    
          
      flex-direction: column; 
      justify-content: center; 
      align-items: center;
           
   }
   .imagen-about-us  {
      width: 70%;
   }

   .sobre-nosotros .contenido-textos  .servicio-ind{
      width: 48%;
      align-items: left;
   }

   .footer {
      height: auto;
  }
}

@media (max-width: 1024px) {
   header {
      min-height: 500px;
   }

   nav {
      flex-direction: column;
      align-items: center;
   }

   .logo img {
      height: 150px;
      padding: 10px 20px;
   }

   .cards {
      flex-direction: column;
   }

   .cards .card {
      width: 80%;
      margin-bottom: 20px;
   }

   .footer {
      height: auto;
  }
}

@media (max-width: 769px) {
   header .textos-header h1 {
      font-size: 40px;
   }

   header .textos-header h2 {
      font-size: 30px;
   }

   .imagen-port {
      width: 45%;
   }

   .contenedor-sobre-nosotros {
      flex-direction: row; 
   }
}

/* Media Queries */
@media (max-width: 480px) {
   nav > a {
     font-size: 16px;
     padding: 5px 10px;
   }
 
   .logo img {
     height: 100px;
     padding: 5px 10px;
   }
 
   header .textos-header h1 {
     font-size: 30px;
   }
 
   header .textos-header h2 {
     font-size: 20px;
   }

   .sobre-nosotros .contenido-textos {
      width: 95%;
   }
 
   .imagen-port {
     width: 100%;
   }
 
   .cards .card {
     width: 100%;
   }
 
   .footer {
     height: auto;
     padding: 20px 0;
   }
 
   .contenedor-footer {
     flex-direction: column;
     align-items: center;
   }
 
   .content-foo {
     margin-right: 0;
     margin-bottom: 10px;
   }
 
   .content-foo img {
     margin-bottom: 10px;
   }
 
   .mensaje-reservado {
     font-size: 16px;
   }
 }
 
 @media (max-width: 320px) {
   nav {
     padding: 5px;
   }
 

   nav > a {
     font-size: 12px;
     padding: 3px 6px;
   }
 
   .logo img {
     height: 70px;
     padding: 3px 6px;
   }
 
   header .textos-header h1 {
     font-size: 20px;
   }
 
   header .textos-header h2 {
     font-size: 16px;
   }
 
   .footer {
     height: auto;
     padding: 20px 0;
   }
 
   .contenedor-footer {
     flex-direction: column;
     align-items: center;
   }
 
   .content-foo {
     margin-right: 0;
     margin-bottom: 10px;
   }
 
   .content-foo img {
     margin-bottom: 10px;
   }
 
   .mensaje-reservado {
     font-size: 16px;
   }
 }
 

